--- !ruby/object:RI::ClassDescription 
attributes: []

class_methods: 
- !ruby/object:RI::MethodSummary 
  name: new
comment: 
- !ruby/struct:SM::Flow::P 
  body: OpensStructable is a mixin module which can provide OpenStruct behavior to any class or object. OpenStructable allows extention of data objects with arbitrary attributes.
- !ruby/struct:SM::Flow::H 
  level: 2
  text: Usage
- !ruby/struct:SM::Flow::VERB 
  body: "  require 'ostructable'\n\n  class Record\n    include OpenStructable\n  end\n\n  record = Record.new\n  record.name    = &quot;John Smith&quot;\n  record.age     = 70\n  record.pension = 300\n\n  puts record.name     # -&gt; &quot;John Smith&quot;\n  puts record.address  # -&gt; nil\n"
- !ruby/struct:SM::Flow::H 
  level: 2
  text: Author(s)
- !ruby/object:SM::Flow::LIST 
  contents: 
  - !ruby/struct:SM::Flow::LI 
    label: "*"
    body: Thomas Sawyer
  - !ruby/struct:SM::Flow::LI 
    label: "*"
    body: Yukihiro Matsumoto
  - !ruby/struct:SM::Flow::LI 
    label: "*"
    body: Gavin Sinclair (Documentation)
  type: :BULLET
constants: []

full_name: OpenStructable
includes: []

instance_methods: 
- !ruby/object:RI::MethodSummary 
  name: ==
- !ruby/object:RI::MethodSummary 
  name: delete_field
- !ruby/object:RI::MethodSummary 
  name: initialize_copy
- !ruby/object:RI::MethodSummary 
  name: inspect
- !ruby/object:RI::MethodSummary 
  name: marshal_dump
- !ruby/object:RI::MethodSummary 
  name: marshal_load
- !ruby/object:RI::MethodSummary 
  name: new_ostruct_member
- !ruby/object:RI::MethodSummary 
  name: update
name: OpenStructable
superclass: 
